.projects-background {
  background-image: url('Images/world_map_2.JPG');
  background-size: 1600px auto;
  background-repeat: repeat;
  background-position: top center;
  
  display: flex;
  justify-content: center;
  align-items: flex-start;
  min-height: 100vh;
  overflow-y: auto;

  background-color: rgba(0, 0, 0, 0.3); /* dark overlay color */
  background-blend-mode: multiply; 
}

.infinite-scroll-projects {
  display: flex;
  flex-direction: column;
  background-color: white;
  color: black;
  padding: 20px;
  border-radius: 8px;
  /* width: 60%; */
  margin-top: 1%;
  margin-bottom: 3%;
  max-height: 100%;
  max-width: 1000px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.3); 
  border-radius: 8px;
  /* margin: 10% auto 10% auto; */
}


.timeline-page * {
  box-sizing: border-box;
}

/* Set a background color */
.timeline-page body {
  background-color: white;

  display: flex;
  justify-content: center;
  align-items: flex-start;
  min-height: 100vh;
  overflow-y: auto;
  /* font-family: Helvetica, sans-serif; */
}

/* The actual timeline (the vertical ruler) */
.timeline-page .timeline {
  position: relative;
  max-width: 600px;
  margin: 5% auto;
}

/* The actual timeline (the vertical ruler) */
.timeline-page .timeline::after {
  content: '';
  position: absolute;
  width: 6px;
  background-color: rgb(0, 0, 0);
  top: 0;
  bottom: 0;
  left: 15%;
  margin-left: -3px;
}

/* Container around content */
.timeline-page .container {
  padding: 10px 40px;
  position: relative;
  background-color: inherit;
  width: 85%;
}

/* Place the container to the left */
.timeline-page .left {
  left: 0;
}

/* Place the container to the right */
.timeline-page .right {
  left: 17%;
  margin-top: 5%;
  margin-bottom: 5%;
}

/* Fix the circle for containers on the right side */
.timeline-page .right::after {
  left: -16px;
}

/* The actual content */
.timeline-page .content {
  /* padding: 20px 30px;
  background-color: white;
  position: relative;
  border-radius: 6px;
  margin-bottom: 5%; */
  padding: 0 18px;
  background-color: white;
  max-height: 0;
  overflow: hidden;
  margin-bottom: 5%;
  transition: max-height 0.2s ease-out;
}

.timeline-page .year-container {
  position: absolute;
  left: calc(5% - 20px);
  text-align: right;
  /* outline: 1px dashed red; */
}

/* The notches on the timeline */
.timeline-page .year-container::after {
  content: '';
  position: absolute;
  width: 20px;
  height: 4px;
  background-color: rgb(255, 255, 255);
  border: 4px solid #000000;
  margin-left: 27%;
  left: 100%; /* position it right after the text */
  top: 50%;
  transform: translateY(-50%);
  z-index: 1;
}

/* Style the button that is used to open and close the collapsible content */
.timeline-page .collapsible {
  position: relative;
  /* background-color: #eee;
  color: #444; */
  background: none;
  cursor: pointer;
  /* padding: 18px; */
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
}

/* Add a background color to the button if it is clicked on (add the .active class with JS), and when you move the mouse over it (hover) */
/* .timeline-page .active,
.timeline-page .collapsible:hover {
  background-color: #ccc;
} */

.timeline-page .collapsible:hover  {
  filter: brightness(0.7);
}



.timeline-page .collapsible:after {
  filter: brightness(1.0);
  content: "+"; /* Unicode character for "plus" sign (+) */
  font-size: 32px;
  color: white;
  position: absolute;
  top: 80%;
  left: 90%;
  /* transform: translate(-50%, -50%); */
  pointer-events: none;
  z-index: 5;
}

.timeline-page .collapsible.active:after {
  font-size: 32px;
  content: "-"; /* Unicode character for "minus" sign (-) */
}


/* Content container */
.content {
  position: relative;
  overflow: hidden;
  background: white; 
}

/* Fade overlay */
.content::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  height: 70px; /* controls fade height */
  background: linear-gradient(
    to bottom,
    rgba(255,255,255,0),
    rgba(255,255,255,1)
  );
  pointer-events: none;
  opacity: 1;
  transition: opacity 0.2s ease;
}

/* When fully expanded, remove fade */
.collapsible.active + .content::after {
  opacity: 0;
}



.photo-card {
  position: relative;
  display: block;
  overflow: hidden;
  width: 100%;
}

.project-img {

  
  /* width: calc(100% - 24px); */
  width: 100%;
  height: 250px;
  border-radius: 8px;
  border: 4px solid rgb(20, 57, 120);
  /* margin-left: 12px; */
  object-fit: cover; 
  display: block;
}

/* Add label overlapping the image */
.photo-card .img-label {
  position: absolute;
  background: rgba(0, 0, 0, 0.6);
  color: #fff;
  /* width: calc(100% - 24px); */
  width: 100%;
  height: 30%;
  bottom: 0;
  top: auto;
  display: flex;
  align-items: flex-end;
  padding: 6px 14px;
  border-radius: 6px;
  font-size: 1rem;
  pointer-events: none;
  z-index: 2;
  backdrop-filter: blur(6px);
  -webkit-backdrop-filter: blur(6px);
}




/* .timeline-page .collapsible.photo-card {
  padding: 0;
  border-radius: 8px;
  overflow: hidden;
  background: none;
  position: relative;
  width: 100%;
  min-height: 200px;
  display: block;
}

.timeline-page .collapsible.photo-card .project-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border: none;
  border-radius: 0;
  transition: filter 0.3s;
  display: block;
}

.timeline-page .collapsible.photo-card:hover .project-img {
  filter: brightness(0.7);
} */